<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_AdditionalFeature StructType
 * @subpackage Structs
 */
class JP_AdditionalFeature extends AbstractStructBase
{
    /**
     * The Group
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Group;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InfoDescription
     */
    public $Description;
    /**
     * Constructor method for JP_AdditionalFeature
     * @uses JP_AdditionalFeature::setGroup()
     * @uses JP_AdditionalFeature::setDescription()
     * @param string $group
     * @param \StructType\JP_InfoDescription $description
     */
    public function __construct($group = null, \StructType\JP_InfoDescription $description = null)
    {
        $this
            ->setGroup($group)
            ->setDescription($description);
    }
    /**
     * Get Group value
     * @return string|null
     */
    public function getGroup()
    {
        return $this->Group;
    }
    /**
     * Set Group value
     * @param string $group
     * @return \StructType\JP_AdditionalFeature
     */
    public function setGroup($group = null)
    {
        // validation for constraint: string
        if (!is_null($group) && !is_string($group)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($group, true), gettype($group)), __LINE__);
        }
        $this->Group = $group;
        return $this;
    }
    /**
     * Get Description value
     * @return \StructType\JP_InfoDescription|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param \StructType\JP_InfoDescription $description
     * @return \StructType\JP_AdditionalFeature
     */
    public function setDescription(\StructType\JP_InfoDescription $description = null)
    {
        $this->Description = $description;
        return $this;
    }
}
